`timescale 1ns / 1ps

module q2d(
	input wire q0,
	input wire q1,
	output wire [0:7] kijelzo
    );

localparam kep0= 8'b0010_1010;
localparam kep1= 8'b1011_0110;
localparam kep2= 8'b0011_1000;
localparam kep3= 8'b0011_1010;

assign kijelzo=
	({q1,q0}==0)?kep0:
	({q1,q0}==1)?kep1:
	({q1,q0}==2)?kep2:
	({q1,q0}==3)?kep3:
	0;

endmodule
